# frozen_string_literal: true

require_relative "lib/pneumatic/version"

Gem::Specification.new do |spec|
  spec.name    = "pneumatic"
  spec.version = Pneumatic::VERSION
  spec.authors = ["Cristian Rivera"]
  spec.email   = ["me@cristianrivera.com"]

  spec.summary  = "Coming soon."
  spec.homepage = "https://github.com/cristian-rivera/pneumatic"
  spec.license  = "MIT"

  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"
end
